curl --request PATCH \
--url 'https://api.computer.stateset.app/api/v1/custom-agents/{agent_id}' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"name": "Two-Person Tent",
"description": "Two-person tent, green — replacement for damaged pole set.",
"system_prompt_extension": "string",
"skills": [
"string"
],
"tool_permissions": [
"string"
],
"default_params": {},
"trigger_config": {},
"is_active": true
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"description": "Two-person tent, green — replacement for damaged pole set.",
"system_prompt_extension": "string",
"agent_type": "string",
"skills": [
"string"
],
"tool_permissions": [
"string"
],
"default_params": {},
"trigger_config": {},
"is_active": true,
"is_sandbox": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Update Custom Agent V1
Update fields on a custom agent. Empty PATCH (no fields) returns 422.
PATCH
/
api
/
v1
/
custom-agents
/
{agent_id}
curl --request PATCH \
--url 'https://api.computer.stateset.app/api/v1/custom-agents/{agent_id}' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"name": "Two-Person Tent",
"description": "Two-person tent, green — replacement for damaged pole set.",
"system_prompt_extension": "string",
"skills": [
"string"
],
"tool_permissions": [
"string"
],
"default_params": {},
"trigger_config": {},
"is_active": true
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"description": "Two-person tent, green — replacement for damaged pole set.",
"system_prompt_extension": "string",
"agent_type": "string",
"skills": [
"string"
],
"tool_permissions": [
"string"
],
"default_params": {},
"trigger_config": {},
"is_active": true,
"is_sandbox": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Update fields on a custom agent. Empty PATCH (no fields) returns 422.
Path parameters
string (uuid)
required
Request body
CustomAgentUpdateRequest
string,null
string,null
string,null
string[],null
string[],null
object,null
object,null
boolean,null
Response
CustomAgentSummary
string
required
string
required
string,null
required
string,null
required
string
required
string[]
required
string[]
required
object
required
object
required
boolean
required
boolean
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
curl --request PATCH \
--url 'https://api.computer.stateset.app/api/v1/custom-agents/{agent_id}' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"name": "Two-Person Tent",
"description": "Two-person tent, green — replacement for damaged pole set.",
"system_prompt_extension": "string",
"skills": [
"string"
],
"tool_permissions": [
"string"
],
"default_params": {},
"trigger_config": {},
"is_active": true
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"description": "Two-person tent, green — replacement for damaged pole set.",
"system_prompt_extension": "string",
"agent_type": "string",
"skills": [
"string"
],
"tool_permissions": [
"string"
],
"default_params": {},
"trigger_config": {},
"is_active": true,
"is_sandbox": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026